org.apache.lucene.queries

## Class TermsFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.Filter
    - - org.apache.lucene.queries.TermsFilter

- All Implemented Interfaces:
    Cloneable, Accountable

  Deprecated.
  Use a `QueryWrapperFilter` over a `TermsQuery` instead

      @Deprecated
      public final class TermsFilter
      extends Filter
      implements Accountable

  Constructs a filter for docs matching any of the terms added to this class. Unlike a RangeFilter this can be used for filtering on multiple terms that are not necessarily in a sequence. An example might be a collection of primary keys from a database query result or perhaps a choice of "category" labels picked by the end user. As a filter, this is much faster than the equivalent query (a BooleanQuery with many "should" TermQueries)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermsFilter(List<Term> terms)` Deprecated. Creates a new `TermsFilter` from the given list.
    `TermsFilter(String field, BytesRef... terms)` Deprecated. Creates a new `TermsFilter` from the given `BytesRef` array for a single field.
    `TermsFilter(String field, List<BytesRef> terms)` Deprecated. Creates a new `TermsFilter` from the given `BytesRef` list for a single field.
    `TermsFilter(Term... terms)` Deprecated. Creates a new `TermsFilter` from the given array.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Deprecated.
    `Collection<Accountable>` | `getChildResources()` Deprecated.
    `DocIdSet` | `getDocIdSet(LeafReaderContext context, Bits acceptDocs)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `long` | `ramBytesUsed()` Deprecated.
    `String` | `toString(String defaultField)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermsFilter

          public TermsFilter(List<Term> terms)

      Deprecated.
      Creates a new `TermsFilter` from the given list. The list can contain duplicate terms and multiple fields.

    - #### TermsFilter

          public TermsFilter(String field,
                     List<BytesRef> terms)

      Deprecated.
      Creates a new `TermsFilter` from the given `BytesRef` list for a single field.

    - #### TermsFilter

          public TermsFilter(String field,
                     BytesRef... terms)

      Deprecated.
      Creates a new `TermsFilter` from the given `BytesRef` array for a single field.

    - #### TermsFilter

          public TermsFilter(Term... terms)

      Deprecated.
      Creates a new `TermsFilter` from the given array. The array can contain duplicate terms and multiple fields.

  - ### Method Detail

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Deprecated.
      Specified by:
        `getChildResources` in interface `Accountable`

    - #### getDocIdSet

          public DocIdSet getDocIdSet(LeafReaderContext context,
                             Bits acceptDocs)
                               throws IOException

      Deprecated.
      Specified by:
        `getDocIdSet` in class `Filter`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### toString

          public String toString(String defaultField)

      Deprecated.
      Specified by:
        `toString` in class `Query`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.